[Ffmpeg-devel] swscale/img_convert confusion

Luca Abeni lucabe72
Mon Oct 2 12:13:38 CEST 2006

Hi Richard,

first of all, sorry for the late reply: I could not read email for some
days, and I read your message only now.

On Thu, 2006-09-28 at 14:49 +1000, Richard Khoury wrote:
> Based on an un-answered question in:                                    
> http://lists.mplayerhq.hu/pipermail/ffmpeg-devel/2006-July/013262.html
> Hello all,
> I'm writing code that may be compiled against new and old version of
> the libav* libraries. With the latest SVN versions I've noticed that
> if a new version of the libraries is configured with --enable-swscaler
> then the img_convert function is compiled out.
> How can I write code that can be compiled with both old and new
> ffmpeg libraries in order to have either img_convert or swscale be
> used?
The idea is that if you are using a version of libav* libraries that
support swscale, you can use the swscale interface even if you did not
configure with --enable-swscaler (in such case, libavcodec will
"emulate" the swscale interface by using img_convert() and

When swscale integration will be considered stable enough, I will
increase something in the avcodec version so that user programs (or
configure scripts) will be able to check if the swscale interface is
supported or not.
I hope this makes sense...

As usual, I'll be very happy to go for a different strategy if someone
has better proposals :)


More information about the ffmpeg-devel mailing list